import request from "@/api/request.js";

// 根据政令ID获取领域公司信息
/**
 * @param {cRelated, id} 
 */
export function getDecreeIndustry(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderImpactAnalysis/industry/${params.id}`,
        params
    })
}

// 获取行业领域列表
export function getDecreehylyList() {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/hylyList`,
    })
}

// 根据政行业领域ID获取公司列表
/**
 * @param {cRelated, id} 
 */
export function getDecreeCompany(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderImpactAnalysis/industry/company/${params.id}`,
        params
    })
}

// 获取政令举措落实分析
/**
 * @param {id} 
 */
export function getDecreeAction(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderImpactAnalysis/action/${params.id}`,
        params
    })
}
